explain_closedir_or_die(3)

NAME
explain_closedir_or_die - close a directory and report errors

SYNOPSIS
#include <libexplain/closedir.h>

void explain_closedir_or_die(DIR *dir);

DESCRIPTION
The explain_closedir_or_die function is used to call the closedir(3) system call. On failure an explanation will be printed to stderr, obtained from explain_closedir(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    explain_closedir_or_die(dir);

dir The dir, exactly as to be passed to the closedir(3) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

closedir(3)
    close a directory

explain_closedir(3)
    explain closedir(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2008 Peter Miller